### org.jfree.layouting.modules.output.html

# Class PageableHtmlOutputProcessor

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessor`
  - - `org.jfree.layouting.output.pageable.AbstractPageableProcessor`
    - - `org.jfree.layouting.modules.output.html.PageableHtmlOutputProcessor`

Implemented Interfaces:
  HtmlOutputProcessor, OutputProcessor, PageableOutputProcessor

`public class PageableHtmlOutputProcessor`
`extends AbstractPageableProcessor`
`implements HtmlOutputProcessor`

Creation-Date: 12.11.2006, 14:11:28

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `PROCESSING_CONTENT`, `PROCESSING_GLOBAL_CONTENT`, `PROCESSING_PAGES`

  ## Constructor Summary

  `PageableHtmlOutputProcessor(Configuration configuration)`

  ## Method Summary

  `PageFlowSelector`

  `getFlowSelector()`

  `OutputProcessorMetaData`

  `getMetaData()`

  `HtmlPrinter`

  `getPrinter()`

  `protected void`

  `processLogicalPage(LogicalPageKey key, LogicalPageBox logicalPage)`

  `protected void`

  `processPhysicalPage(PageGrid pageGrid, LogicalPageBox logicalPage, int row, int col, PhysicalPageKey pageKey)`

  `void`

  `setFlowSelector(PageFlowSelector flowSelector)`

  `void`

  `setPrinter(HtmlPrinter printer)`

  ### Methods inherited from class org.jfree.layouting.output.pageable.AbstractPageableProcessor

  `createLogicalPage`, `createRenderer`, `getFlowSelector`, `getPhysicalPage`, `getPhysicalPageCount`, `getPrototypeBuilder`, `processLogicalPage`, `processPageContent`, `processPhysicalPage`, `processingPagesFinished`

  ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `createInputFeed`, `createLogicalPage`, `createModelBuilder`, `createNormalizer`, `getConfiguration`, `getDocumentContext`, `getLogicalPage`, `getLogicalPageCount`, `getPageCursor`, `getProcessingState`, `isContentGeneratable`, `isGlobalStateComputed`, `isPaginationFinished`, `processContent`, `processDocumentMetaData`, `processPageContent`, `processingContentFinished`, `processingFinished`, `processingGlobalContentFinished`, `processingPagesFinished`, `setPageCursor`

## Constructor Details

### PageableHtmlOutputProcessor

    public PageableHtmlOutputProcessor(Configuration configuration)

## Method Details

### getFlowSelector

    public PageFlowSelector getFlowSelector()

> Overrides:
>   getFlowSelector in interface AbstractPageableProcessor

### getMetaData

    public OutputProcessorMetaData getMetaData()

> Specified by:
>   getMetaData in interface OutputProcessor

### getPrinter

    public HtmlPrinter getPrinter()

> Specified by:
>   getPrinter in interface HtmlOutputProcessor

### processLogicalPage

    protected void processLogicalPage(LogicalPageKey key,
                                      LogicalPageBox logicalPage)

> Overrides:
>   processLogicalPage in interface AbstractPageableProcessor

### processPhysicalPage

    protected void processPhysicalPage(PageGrid pageGrid,
                                       LogicalPageBox logicalPage,
                                       int row,
                                       int col,
                                       PhysicalPageKey pageKey)

> Overrides:
>   processPhysicalPage in interface AbstractPageableProcessor

### setFlowSelector

    public void setFlowSelector(PageFlowSelector flowSelector)

### setPrinter

    public void setPrinter(HtmlPrinter printer)

> Specified by:
>   setPrinter in interface HtmlOutputProcessor